> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of voucher charges

> This call will give you a paginated list of voucher charges.



## OpenAPI

````yaml /openapi/voucher.json get /vouchers/{id}/charges
openapi: 3.0.0
info:
  version: '1.8'
  title: JTL-Voucher Cloud API
  description: >-
    # Introduction

    Welcome to the JTL Voucher Cloud API documentation.

    Here you will find all information to get started using our API in your
    projects.
  contact:
    name: JTL-Software-GmbH
    url: https://www.jtl-software.com
    email: info@jtl-software.de
servers:
  - url: https://vouchers.api.jtl-software.com/v1
    description: JTL-Voucher Cloud API (Production)
  - url: https://vouchers-sbx.api.jtl-software.com/v1
    description: JTL-Voucher Cloud API (Sandbox)
security:
  - BearerAuth:
      - read
      - read-lists
      - read-secrets
      - use
      - manage
      - update
      - recharge
tags:
  - name: Vouchers
  - name: Reservations
  - name: Charges
  - name: Clients
paths:
  /vouchers/{id}/charges:
    get:
      tags:
        - Vouchers
      summary: Get a list of voucher charges
      description: This call will give you a paginated list of voucher charges.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          example: da39a3ee3458b7392ef5
        - in: query
          name: page
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
          example: 2
        - in: query
          name: per_page
          required: false
          schema:
            type: integer
            minimum: 1
            default: 25
          example: 10
        - in: query
          name: filter[created_from]
          required: false
          schema:
            type: string
            format: RFC3339
          example: '2017-07-21T17:32:28+00:00'
          description: >-
            Sets a filter to get all entries from this datetime - must be set in
            RFC3339 format, see https://tools.ietf.org/html/rfc3339
        - in: query
          name: filter[created_to]
          required: false
          schema:
            type: string
            format: RFC3339
          example: 2017-07-21T17:32:28Z+00:00
          description: >-
            Sets a filter to get all entries up to this datetime - must be set
            in RFC3339 format, see https://tools.ietf.org/html/rfc3339
        - in: query
          name: filter[order_number]
          required: false
          schema:
            type: string
          style: form
          example: ORDER66
          description: Sets a filter to get all entries with a specific order number
        - in: query
          name: filter[amount]
          required: false
          schema:
            type: string
          style: form
          example: '10.50'
          description: Sets a filter to get all entries with a specific amount
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: >-
                                Primary identification key - will be used in
                                voucher-charge calls
                              readOnly: true
                              example: cff8784e5eb28b9b04860
                            voucher_id:
                              type: string
                              description: >-
                                Voucher primary identification key (see voucher
                                -> id)
                              readOnly: true
                              example: cff8784e34b28b9b04860
                            client_id:
                              type: string
                              description: >-
                                Client primary identification key (see client ->
                                id)
                              readOnly: true
                              example: cff8784e5eb28b81ca02a
                            type:
                              type: string
                              enum:
                                - charge
                                - recharge
                                - refund
                              description: >-
                                Type of this charge. Can either be "charge",
                                "recharge" or "refund"
                              readOnly: true
                              example: charge
                            amount:
                              type: string
                              minLength: 4
                              maxLength: 9
                              pattern: ^\d+\.\d{2}$
                              description: >
                                Amount in the currency of this voucher. Must be
                                send as string in the following pattern:

                                * Up to five digits before the decimal point

                                * The decimal point (.)

                                * Exactly two digits after the decimal point
                              example: '10.53'
                            order_number:
                              type: string
                              description: Order or invoice number of the transaction
                              example: ORDER-62642
                            created_at:
                              type: string
                              format: RFC3339
                              readOnly: true
                              description: >-
                                created_at - datetime in RFC3339 format, see
                                https://tools.ietf.org/html/rfc3339
                              example: '2017-07-21T17:32:28+00:00'
                            updated_at:
                              type: string
                              format: RFC3339
                              readOnly: true
                              description: >-
                                updated_at - datetime in RFC3339 format, see
                                https://tools.ietf.org/html/rfc3339
                              example: '2017-07-21T17:32:28+00:00'
                  - type: object
                    properties:
                      links:
                        type: object
                        properties:
                          first:
                            type: string
                            maxLength: 255
                            description: First page link
                            example: http://domain/v1/vouchers?page=1
                          last:
                            type: string
                            maxLength: 255
                            description: Last page link
                            example: http://domain/v1/vouchers?page=5
                          prev:
                            type: string
                            nullable: true
                            maxLength: 255
                            description: Previous page link
                            example: http://domain/v1/vouchers?page=3
                          next:
                            type: string
                            nullable: true
                            maxLength: 255
                            description: Next page link
                            example: http://domain/v1/vouchers?page=2
                      meta:
                        type: object
                        properties:
                          current_page:
                            type: integer
                            minimum: 1
                            description: Current page
                            example: 1
                          per_page:
                            type: integer
                            minimum: 1
                            description: Limit per page
                            example: 15
                          from:
                            type: integer
                            minimum: 1
                            nullable: true
                            description: Start of pagination
                            example: 1
                          to:
                            type: integer
                            minimum: 1
                            nullable: true
                            description: Start of pagination
                            example: 15
                          last_page:
                            type: integer
                            minimum: 1
                            description: Last page
                            example: 167
                          total:
                            type: integer
                            minimum: 1
                            description: Total pages count
                            example: 2500
                          path:
                            type: string
                            maxLength: 255
                            description: Current path link
                            example: http://domain/v1/vouchers
      security:
        - BearerAuth:
            - read
components:
  securitySchemes:
    BearerAuth:
      type: oauth2
      description: >
        This API uses OAuth 2 with Client Credentials Flow (see:
        https://www.oauth.com/oauth2-servers/access-tokens/client-credentials).


        > You can request only a subset of specific scopes for your client,
        however the available scopes for each client are defined through the
        client groups in the UI.


        > Within your token request, you can also send the optional parameter
        *client_type* (string with a max length of 32 chars). This value is only
        used for internal statistics.
      flows:
        clientCredentials:
          tokenUrl: https://vouchers.api.jtl-software.com/oauth/token
          scopes:
            read: Read single vouchers
            read-lists: Read voucher lists
            read-secrets: Read secret voucher information like code and pin
            use: Use a voucher (activation, reservation, charge and cancel)
            manage: Create and delete vouchers
            update: Update vouchers
            recharge: Recharge a voucher

````